com.sun.java.xml.ns.javaee

## Class ListenerType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.ListenerType

-     public class ListenerType
      extends Object

  The listenerType indicates the deployment properties for a web application listener bean.

  Java-Klasse für listenerType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="listenerType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <group ref="{http://java.sun.com/xml/ns/javaee}descriptionGroup"/>
               <element name="listener-class" type="{http://java.sun.com/xml/ns/javaee}fully-qualified-classType"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<DescriptionType>` | `description`
    `protected List<DisplayNameType>` | `displayName`
    `protected List<IconType>` | `icon`
    `protected String` | `id`
    `protected FullyQualifiedClassType` | `listenerClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListenerType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DescriptionType>` | `getDescription()` Gets the value of the description property.
    `List<DisplayNameType>` | `getDisplayName()` Gets the value of the displayName property.
    `List<IconType>` | `getIcon()` Gets the value of the icon property.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `FullyQualifiedClassType` | `getListenerClass()` Ruft den Wert der listenerClass-Eigenschaft ab.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setListenerClass(FullyQualifiedClassType value)` Legt den Wert der listenerClass-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected List<DescriptionType> description

    - #### displayName

          protected List<DisplayNameType> displayName

    - #### icon

          protected List<IconType> icon

    - #### listenerClass

          protected FullyQualifiedClassType listenerClass

    - #### id

          protected String id

  - ### Constructor Detail

    - #### ListenerType

          public ListenerType()

  - ### Method Detail

    - #### getDescription

          public List<DescriptionType> getDescription()

      Gets the value of the description property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the description property.

      For example, to add a new item, do as follows:

              getDescription().add(newItem);

      Objects of the following type(s) are allowed in the list `DescriptionType`

    - #### getDisplayName

          public List<DisplayNameType> getDisplayName()

      Gets the value of the displayName property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the displayName property.

      For example, to add a new item, do as follows:

              getDisplayName().add(newItem);

      Objects of the following type(s) are allowed in the list `DisplayNameType`

    - #### getIcon

          public List<IconType> getIcon()

      Gets the value of the icon property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the icon property.

      For example, to add a new item, do as follows:

              getIcon().add(newItem);

      Objects of the following type(s) are allowed in the list `IconType`

    - #### getListenerClass

          public FullyQualifiedClassType getListenerClass()

      Ruft den Wert der listenerClass-Eigenschaft ab.
      Returns:
        possible object is `FullyQualifiedClassType`

    - #### setListenerClass

          public void setListenerClass(FullyQualifiedClassType value)

      Legt den Wert der listenerClass-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `FullyQualifiedClassType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.